Bug 1256688 - CDI and Secure embedded quickstarts unable to deploy
CDI and Secure embedded quickstarts unable to deploy
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.5.1
Unspecified Unspecified
unspecified Severity high
: CR1
: 6.5.1
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1257913
  Show dependency treegraph
 
Reported: 2015-08-25 05:28 EDT by Jiri Holusa
Modified: 2015-11-08 20:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1257913 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Holusa 2015-08-25 05:28:26 EDT
When testing quickstarts with 6.5.1.ER1, I found that CDI and secured embedded quickstart are not working during deployment.

The exception on server side is: java.lang.NoClassDefFoundError: javax/cache/annotation/CacheResult

The reason for this is that javax.cache:cache-api and infinispan-jcache were made separate and cache-api is not provided by the EAP. Hence we need to add the dependency to WAR.

PR's with fix for every branch comming soon.
Comment 2 Jiri Holusa 2015-08-26 11:23:00 EDT
PR for 6.5: https://github.com/jboss-developer/jboss-jdg-quickstarts/pull/94
PR for 6.6: https://github.com/jboss-developer/jboss-jdg-quickstarts/pull/95

PR for master branch will come later with complete quickstarts review. Also apologize for sending PR's today, GitHub was under DDoS yesterday :)

Note You need to log in before you can comment on or make changes to this bug.